TaggedObjectsApi
Use this API to implement object tagging functionality. With object tagging functionality in place, any user in an organization can use tags as a way to group objects together and find them more quickly when the user searches Identity Security Cloud.
In Identity Security Cloud, users can search their tenants for information and add tags objects they find. Tagging an object provides users with a way of grouping objects together and makes it easier to find these objects in the future.
For example, if a user is searching for an entitlement that grants a risky level of access to Active Directory, it's possible that the user may have to search through hundreds of entitlements to find the correct one. Once the user finds that entitlement, the user can add a tag to the entitlement, "AD_RISKY" to make it easier to find the entitlement again. The user can add the same tag to multiple objects the user wants to group together for an easy future search, and the user can also do so in bulk. When the user wants to find that tagged entitlement again, the user can search for "tags:AD_RISKY" to find all objects with that tag.
With the API, you can tag even more different object types than you can in Identity Security Cloud (access profiles, entitlements, identities, and roles). You can use the API to tag all these objects:
-
Access profiles
-
Applications
-
Certification campaigns
-
Entitlements
-
Identities
-
Roles
-
SOD (separation of duties) policies
-
Sources
You can also use the API to directly find, create, and manage tagged objects without using search queries.
There are limits to tags:
-
You can have up to 500 different tags in your tenant.
-
You can apply up to 30 tags to one object.
-
You can have up to 10,000 tag associations, pairings of 1 tag to 1 object, in your tenant.
Because of these limits, it is recommended that you work with your governance experts and security teams to establish a list of tags that are most expressive of governance objects and access managed by Identity Security Cloud.
These are the types of information often expressed in tags:
-
Affected departments
-
Compliance and regulatory categories
-
Remediation urgency levels
-
Risk levels
Refer to Tagging Items in Search for more information about tagging objects in Identity Security Cloud.
All URIs are relative to https://sailpoint.api.identitynow.com
| Method | HTTP request | Description |
|---|---|---|
| delete-tagged-object-v1 | DELETE /tagged-objects/v1/{type}/{id} | Delete object tags |
| delete-tags-to-many-object-v1 | POST /tagged-objects/v1/bulk-remove | Remove tags from multiple objects |
| get-tagged-object-v1 | GET /tagged-objects/v1/{type}/{id} | Get tagged object |
| list-tagged-objects-by-type-v1 | GET /tagged-objects/v1/{type} | List tagged objects by type |
| list-tagged-objects-v1 | GET /tagged-objects/v1 | List tagged objects |
| put-tagged-object-v1 | PUT /tagged-objects/v1/{type}/{id} | Update tagged object |
| set-tag-to-object-v1 | POST /tagged-objects/v1 | Add tag to object |
| set-tags-to-many-objects-v1 | POST /tagged-objects/v1/bulk-add | Tag multiple objects |
delete-tagged-object-v1
Delete object tags Delete all tags from a tagged object.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| type | `'ACCESS_PROFILE' | 'APPLICATION' | 'CAMPAIGN' |
| id | string | The ID of the object to delete tags from. | [default to undefined] |
Return type
(empty response body)
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { TaggedObjectsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new TaggedObjectsApi(configuration);
const type: string = ROLE; // The type of object to delete tags from.
const id: string = ef38f94347e94562b5bb8424a56397d8; // The ID of the object to delete tags from.
const result = await apiInstance.deleteTaggedObjectV1({ type: type, id: id });
console.log(result);
delete-tags-to-many-object-v1
Remove tags from multiple objects This API removes tags from multiple objects.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| bulkRemoveTaggedObject | BulkRemoveTaggedObject | Supported object types are ACCESS_PROFILE, APPLICATION, CAMPAIGN, ENTITLEMENT, IDENTITY, ROLE, SOD_POLICY, SOURCE. |
Return type
(empty response body)
HTTP request headers
- Content-Type: application/json
- Accept: application/json
Example
import { TaggedObjectsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
import { BulkRemoveTaggedObject } from 'sailpoint-api-client/dist/tagged_objects/api';
const configuration = new Configuration();
const apiInstance = new TaggedObjectsApi(configuration);
const bulkRemoveTaggedObject: BulkRemoveTaggedObject = {
"objectRefs" : [ {
"name" : "William Wilson",
"id" : "2c91808568c529c60168cca6f90c1313",
"type" : "IDENTITY"
}, {
"name" : "William Wilson",
"id" : "2c91808568c529c60168cca6f90c1313",
"type" : "IDENTITY"
} ],
"tags" : [ "BU_FINANCE", "PCI" ]
}; // Supported object types are ACCESS_PROFILE, APPLICATION, CAMPAIGN, ENTITLEMENT, IDENTITY, ROLE, SOD_POLICY, SOURCE.
const result = await apiInstance.deleteTagsToManyObjectV1({ bulkRemoveTaggedObject: bulkRemoveTaggedObject });
console.log(result);
get-tagged-object-v1
Get tagged object This gets a tagged object for the specified type.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| type | `'ACCESS_PROFILE' | 'APPLICATION' | 'CAMPAIGN' |
| id | string | The ID of the object reference to retrieve. | [default to undefined] |
Return type
TaggedObject
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { TaggedObjectsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new TaggedObjectsApi(configuration);
const type: string = ROLE; // The type of tagged object to retrieve.
const id: string = ef38f94347e94562b5bb8424a56397d8; // The ID of the object reference to retrieve.
const result = await apiInstance.getTaggedObjectV1({ type: type, id: id });
console.log(result);
list-tagged-objects-by-type-v1
List tagged objects by type This API returns a list of all tagged objects by type.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| type | `'ACCESS_PROFILE' | 'APPLICATION' | 'CAMPAIGN' |
| limit | number | Max number of results to return. See V3 API Standard Collection Parameters for more information. | [optional] [default to 250] |
| offset | number | Offset into the full result set. Usually specified with limit to paginate through the results. See V3 API Standard Collection Parameters for more information. | [optional] [default to 0] |
| count | boolean | If true it will populate the X-Total-Count response header with the number of results that would be returned if limit and offset were ignored. Since requesting a total count can have a performance impact, it is recommended not to send count=true if that value will not be used. See V3 API Standard Collection Parameters for more information. | [optional] [default to false] |
| filters | string | Filter results using the standard syntax described in V3 API Standard Collection Parameters Filtering is supported for the following fields and operators: objectRef.id: eq objectRef.type: eq | [optional] [default to undefined] |
Return type
Array<TaggedObject>
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { TaggedObjectsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new TaggedObjectsApi(configuration);
const type: string = ROLE; // The type of tagged object to retrieve.
const limit: number = 250; // Max number of results to return. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const offset: number = 0; // Offset into the full result set. Usually specified with *limit* to paginate through the results. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const count: boolean = true; // If *true* it will populate the *X-Total-Count* response header with the number of results that would be returned if *limit* and *offset* were ignored. Since requesting a total count can have a performance impact, it is recommended not to send **count=true** if that value will not be used. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const filters: string = objectRef.id eq "2c91808568c529c60168cca6f90c1313"; // Filter results using the standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#filtering-results) Filtering is supported for the following fields and operators: **objectRef.id**: *eq* **objectRef.type**: *eq* (optional)
const result = await apiInstance.listTaggedObjectsByTypeV1({ type: type });
console.log(result);
list-tagged-objects-v1
List tagged objects This API returns a list of all tagged objects.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| limit | number | Max number of results to return. See V3 API Standard Collection Parameters for more information. | [optional] [default to 250] |
| offset | number | Offset into the full result set. Usually specified with limit to paginate through the results. See V3 API Standard Collection Parameters for more information. | [optional] [default to 0] |
| count | boolean | If true it will populate the X-Total-Count response header with the number of results that would be returned if limit and offset were ignored. Since requesting a total count can have a performance impact, it is recommended not to send count=true if that value will not be used. See V3 API Standard Collection Parameters for more information. | [optional] [default to false] |
| filters | string | Filter results using the standard syntax described in V3 API Standard Collection Parameters Filtering is supported for the following fields and operators: objectRef.id: eq, in objectRef.type: eq, in tagName: eq, in | [optional] [default to undefined] |
Return type
Array<TaggedObject>
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { TaggedObjectsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new TaggedObjectsApi(configuration);
const limit: number = 250; // Max number of results to return. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const offset: number = 0; // Offset into the full result set. Usually specified with *limit* to paginate through the results. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const count: boolean = true; // If *true* it will populate the *X-Total-Count* response header with the number of results that would be returned if *limit* and *offset* were ignored. Since requesting a total count can have a performance impact, it is recommended not to send **count=true** if that value will not be used. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const filters: string = tagName eq "BU_FINANCE"; // Filter results using the standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#filtering-results) Filtering is supported for the following fields and operators: **objectRef.id**: *eq, in* **objectRef.type**: *eq, in* **tagName**: *eq, in* (optional)
const result = await apiInstance.listTaggedObjectsV1({ });
console.log(result);
put-tagged-object-v1
Update tagged object This updates a tagged object for the specified type.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| type | `'ACCESS_PROFILE' | 'APPLICATION' | 'CAMPAIGN' |
| id | string | The ID of the object reference to update. | [default to undefined] |
| taggedObject | TaggedObject |
Return type
TaggedObject
HTTP request headers
- Content-Type: application/json
- Accept: application/json
Example
import { TaggedObjectsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
import { TaggedObject } from 'sailpoint-api-client/dist/tagged_objects/api';
const configuration = new Configuration();
const apiInstance = new TaggedObjectsApi(configuration);
const type: string = ROLE; // The type of tagged object to update.
const id: string = ef38f94347e94562b5bb8424a56397d8; // The ID of the object reference to update.
const taggedObject: TaggedObject = {
"objectRef" : {
"name" : "William Wilson",
"id" : "2c91808568c529c60168cca6f90c1313",
"type" : "IDENTITY"
},
"tags" : [ "BU_FINANCE", "PCI" ]
}; //
const result = await apiInstance.putTaggedObjectV1({ type: type, id: id, taggedObject: taggedObject });
console.log(result);
set-tag-to-object-v1
Add tag to object This adds a tag to an object.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| taggedObject | TaggedObject |
Return type
(empty response body)
HTTP request headers
- Content-Type: application/json
- Accept: application/json
Example
import { TaggedObjectsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
import { TaggedObject } from 'sailpoint-api-client/dist/tagged_objects/api';
const configuration = new Configuration();
const apiInstance = new TaggedObjectsApi(configuration);
const taggedObject: TaggedObject = {
"objectRef" : {
"name" : "William Wilson",
"id" : "2c91808568c529c60168cca6f90c1313",
"type" : "IDENTITY"
},
"tags" : [ "BU_FINANCE", "PCI" ]
}; //
const result = await apiInstance.setTagToObjectV1({ taggedObject: taggedObject });
console.log(result);
set-tags-to-many-objects-v1
Tag multiple objects This API adds tags to multiple objects.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| bulkAddTaggedObject | BulkAddTaggedObject | Supported object types are ACCESS_PROFILE, APPLICATION, CAMPAIGN, ENTITLEMENT, IDENTITY, ROLE, SOD_POLICY, SOURCE. |
Return type
Array<BulkTaggedObjectResponse>
HTTP request headers
- Content-Type: application/json
- Accept: application/json
Example
import { TaggedObjectsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
import { BulkAddTaggedObject } from 'sailpoint-api-client/dist/tagged_objects/api';
const configuration = new Configuration();
const apiInstance = new TaggedObjectsApi(configuration);
const bulkAddTaggedObject: BulkAddTaggedObject = {
"objectRefs" : [ {
"name" : "William Wilson",
"id" : "2c91808568c529c60168cca6f90c1313",
"type" : "IDENTITY"
}, {
"name" : "William Wilson",
"id" : "2c91808568c529c60168cca6f90c1313",
"type" : "IDENTITY"
} ],
"operation" : "MERGE",
"tags" : [ "BU_FINANCE", "PCI" ]
}; // Supported object types are ACCESS_PROFILE, APPLICATION, CAMPAIGN, ENTITLEMENT, IDENTITY, ROLE, SOD_POLICY, SOURCE.
const result = await apiInstance.setTagsToManyObjectsV1({ bulkAddTaggedObject: bulkAddTaggedObject });
console.log(result);